<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>SNESLS</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="SNESLS"><H1>SNESLS</H1></A>
Newton based nonlinear solver that uses a line search 
<H3><FONT COLOR="#CC3333">Options Database</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-snes_ls [cubic,quadratic,basic,basicnonorms] </B></TD><TD>- Selects line search
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-snes_ls_alpha &lt;alpha&gt; </B></TD><TD>- Sets alpha
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-snes_ls_maxstep &lt;max&gt; </B></TD><TD>- Sets maxstep
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-snes_ls_steptol &lt;steptol&gt; </B></TD><TD>- Sets steptol, this is the minimum step <A HREF="../Sys/size.html#size">size</A> that the line search code
will accept; min p[i]/x[i] &lt; steptol. The -snes_stol &lt;stol&gt; is the minimum step length
the default convergence test will use and is based on 2-norm(p) &lt; stol*2-norm(x)
</TD></TR></TABLE>
<P>
Notes: This is the default nonlinear solver in <A HREF="../SNES/SNES.html#SNES">SNES</A>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../SNES/SNESCreate.html#SNESCreate">SNESCreate</A>(), <A HREF="../SNES/SNES.html#SNES">SNES</A>, <A HREF="../SNES/SNESSetType.html#SNESSetType">SNESSetType</A>(), <A HREF="../SNES/SNESTR.html#SNESTR">SNESTR</A>, <A HREF="../SNES/SNESLineSearchSet.html#SNESLineSearchSet">SNESLineSearchSet</A>(), 
<BR><A HREF="../SNES/SNESLineSearchSetPostCheck.html#SNESLineSearchSetPostCheck">SNESLineSearchSetPostCheck</A>(), <A HREF="../SNES/SNESLineSearchNo.html#SNESLineSearchNo">SNESLineSearchNo</A>(), <A HREF="../SNES/SNESLineSearchCubic.html#SNESLineSearchCubic">SNESLineSearchCubic</A>(), <A HREF="../SNES/SNESLineSearchQuadratic.html#SNESLineSearchQuadratic">SNESLineSearchQuadratic</A>(),
<A HREF="../SNES/SNESLineSearchSet.html#SNESLineSearchSet">SNESLineSearchSet</A>(), <A HREF="../SNES/SNESLineSearchNoNorms.html#SNESLineSearchNoNorms">SNESLineSearchNoNorms</A>(), <A HREF="../SNES/SNESLineSearchSetPreCheck.html#SNESLineSearchSetPreCheck">SNESLineSearchSetPreCheck</A>()
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/snes/impls/ls/ls.c.html#SNESLS">src/snes/impls/ls/ls.c</A>
<BR><A HREF="./index.html">Index of all SNES routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
